### Method

# Foundry Diagnostic list_ranges

#### Declaration [src]

    GListModel*
    foundry_diagnostic_list_ranges (
      FoundryDiagnostic* self
    )

#### Description [src]

Gets the available ranges as a `GListModel` of `FoundryDiagnosticRange`.

#### Return value

Type: A list model of `GObject`

A `GListModel` or `NULL` if there are no ranges associated with this diagnostic.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.